Home//
REST API Reference
/- Download content data export
Create content data export
Show content data export
Cancel content data export
Data Export
Download content data exp...
When a job has a status of complete, and thus a filled download_url, you can download your data by hitting that provided URL, formatted like so: https://api.intercom.io/download/content/data/xyz1234.
Your exported message data is returned as a ZIP archive containing one CSV file per data group. The response is sent with the header Content-Encoding: zip.
📘 Octet header required
You will have to specify the header Accept:
application/octet-streamwhen hitting this endpoint.
Requires the export_content_data OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/download/content/data/{job_identifier}
- The european API serverhttps://api.eu.intercom.io/download/content/data/{job_identifier}
- The australian API serverhttps://api.au.intercom.io/download/content/data/{job_identifier}
curl -i -X GET \
'https://api.intercom.io/download/content/data/{job_identifier}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'